<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:29 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>business_layer</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="business_layer";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../connection/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?business_layer/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;business_layer</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../business_layer/ClientsBLL.html" title="class in business_layer">ClientsBLL</a></td>
<td class="colLast">
<div class="block">– contine doua variabile instanta: un obiect de tipul ClientsAbstractDAO, 
 care are rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul ClientsValidation, care are rolul de a valida datele referitoare la un client 
 inainte de efectuarea oricarei operatii cu datele  corespunzatoare clientului; 
 - aceasta clasa contine constructor si cate o metoda pentru fiecare operatie de baza asupra tabelului Clients (adaugarea unui client, 
 stergerea unui client, editarea numelui clientului si vizualizarea tuturor clientilor din tabela Clients);</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../business_layer/ClientsValidation.html" title="class in business_layer">ClientsValidation</a></td>
<td class="colLast">
<div class="block">– contine o singura variabila instanta, de tipul Clients, care cuprinde datele referitoare la un client; 
 - pe langa constructor, clasa contine si o metoda care se ocupa cu validarea datelor ce caracterizeaza un client;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../business_layer/OrdersBLL.html" title="class in business_layer">OrdersBLL</a></td>
<td class="colLast">
<div class="block">- contine patru variabile instanta: trei obiecte de tipul OrdersAbstractDAO, ProductsAbstractDAO, 
 respectiv ClientsAbstractDAO, care au rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul OrdersValidation, care are rolul de a valida datele referitoare la o comanda 
 inainte de efectuarea unei operatii asupra acesteia; 
 - clasa contine constructor si mai contine si cate o metoda pentru fiecare operatie de baza asupra tabelului Orders 
 (adaugarea unei comenzi, stergerea unei comenzi, editarea produsului comenzii, editarea cantitatii comenzii,
 editarea clientului comenzii si vizualizarea tuturor comenzilor din tabela Orders);</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../business_layer/OrdersValidation.html" title="class in business_layer">OrdersValidation</a></td>
<td class="colLast">
<div class="block">– contine o singura variabila instanta, de tipul Orders, care cuprinde informatii referitoare la o comanda; 
 - pe langa constructor, clasa contine si o metoda care se ocupa cu validarea datelor referitoare la o comanda;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../business_layer/ProductsBLL.html" title="class in business_layer">ProductsBLL</a></td>
<td class="colLast">
<div class="block">– contine doua variabile instanta: un obiect de tipul ProductsAbstractDAO, 
 care are rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul ProductsValidation, care are rolul de a valida datele referitoare la un produs 
 inainte de efectuarea oricarei operatii asupra lui; 
 - pe langa constructor, clasa contine si cate o metoda pentru fiecare operatie de baza asupra tabelului Products 
 (adaugarea unui produs, stergerea unui produs, editarea numelui produsului, editarea stocului produsului, 
 editarea cantitatii produsului si vizualizarea tuturor produselor din tabela Products);</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../business_layer/ProductsValidation.html" title="class in business_layer">ProductsValidation</a></td>
<td class="colLast">
<div class="block">– contine o singura variabila instanta, de tipul Products, 
 care contine date referitoare la un produs; pe langa constructor, clasa contine si o metoda care se ocupa 
 cu validarea informatiilor referitoare la un produs;</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li><a href="../connection/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?business_layer/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
